#! /usr/bin/python
from OpenGL.GL import *
from OpenGL.GLUT import *
from OpenGL.GLU import *

window = 0  # window handler                                         
width, height = 480, 320 # window size


def draw():
    # set transformation, projection and viewport
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT)
    glViewport(0, 0, width, height)
    glMatrixMode(GL_PROJECTION)
    glLoadIdentity()
    glOrtho(0.0, width, 0.0, height, 0.0, 1.0)
    glMatrixMode (GL_MODELVIEW)
    
    # render (draw in 3D) something
    glBegin(GL_TRIANGLES)
    glColor3f(0.0, 0.0, 1.0)
    glVertex2f(10.0, 200.0)
    #glColor3f(1.0, 0.0, 1.0)
    glVertex2f(150.0, 10.0)
    #glColor3f(0.0, 1.0, 1.0)
    glVertex2f(10.0, 10.0)
    glEnd() 
    
    # show what was rendered
    glutSwapBuffers() 
  


# --------------   program starts here   -----------------------

# initialize OpenGL by GLUT (openGl Utility Toolkit) library
glutInit()  
glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE | GLUT_ALPHA | GLUT_DEPTH)

# create window for graphiccs
glutInitWindowSize(width, height) 
glutInitWindowPosition(0, 0)
window = glutCreateWindow("IP&CG Lecture")

# set callback for drawing event
glutDisplayFunc(draw) 

# start the main loop (wait for system evants)
glutMainLoop() 